
/*
 * 
 ===============================================================================
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 Project name:
LCD interfacing with Mikroc

     MCU:             PIC16F877A
     Dev.Board:       PIC
     Oscillator:      20.0 MHz
     Software:  mikroC PRO for PIC
 _______________________________________________________________________________
     Name: Mr. Sourav Mitra
     B-tech Ele. Engg, R & D , EIIL
     Kolkata-India, -
     Whatsapp- +91 8172078297, +91 9830497971
     mail- smitra@live.com
     
     PLEASE CONTACT ME ANY ELECTRONICS PROJECT
     
     
     SPECAIL THANKS TO MIKROC
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 ================================================================================
*/
// LCD module connections


 //_____________________________________________________________________________
sbit LCD_RS at RB4_bit;   // LCD_** This written on LCD & RB* ,PIC Port
sbit LCD_EN at RB5_bit;   // MUST CONNECT LCD R/W TO PIC GROUD (- DC Voltage)
sbit LCD_D4 at RB0_bit;
sbit LCD_D5 at RB1_bit;
sbit LCD_D6 at RB2_bit;
sbit LCD_D7 at RB3_bit;

sbit LCD_RS_Direction at TRISB4_bit;
sbit LCD_EN_Direction at TRISB5_bit;
sbit LCD_D4_Direction at TRISB0_bit;
sbit LCD_D5_Direction at TRISB1_bit;
sbit LCD_D6_Direction at TRISB2_bit;
sbit LCD_D7_Direction at TRISB3_bit;
// End LCD module connections
//______________________________________________________________________________

char txt1[] = "   SOURAV  ";  // what you want to show in LCD line 1
char txt2[] = "  MITRA ";     // what you want to show in LCD line 2


void main() {
 Lcd_Init();                        // Initialize LCD

  Lcd_Cmd(_LCD_CLEAR);               // Clear display
  Lcd_Cmd(_LCD_CURSOR_OFF);          // Cursor off
  Lcd_Out(1,1,txt1);                 // Write text in first row

  Lcd_Out(2,1,txt2);                 // Write text in second row
  Delay_ms(2000);


}